precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inTexCoord0;
attribute vec4 inTexCoord1;
attribute vec3 inVertexNormal;

uniform highp mat4 uMvpMatrix;
uniform vec4 uLightPos0;
uniform vec4 uLightPos1;
uniform vec4 uLightColor0;
uniform vec4 uLightColor1;
//uniform vec3 uEyePos;
uniform vec4 uLightAmbient;

varying vec2 varTexCoord0;
varying vec2 varTexCoord1;
varying vec3 varLightColor;


void main(void)
{
	gl_Position = uMvpMatrix * vec4(inVertexPosition.xyz,1.0);	
	varTexCoord0 = inTexCoord0.xy;
	varTexCoord1 = inTexCoord1.xy;
	
	vec3 color0 = clamp( uLightColor0.rgb * dot(inVertexNormal.xyz,normalize(uLightPos0-inVertexPosition).xyz), vec3(0.0), vec3(1.0) );
	vec3 color1 = clamp( uLightColor1.rgb * dot(inVertexNormal.xyz,normalize(uLightPos1-inVertexPosition).xyz), vec3(0.0), vec3(1.0) );
	
	varLightColor = clamp( color0 + color1 + uLightAmbient.rgb, vec3(0.0), vec3(1.0) );
}