precision mediump float;

uniform sampler2D texture0;
uniform sampler2D texture1;
uniform vec4 uLightAmbient;

varying vec2 varTexCoord0;
varying vec2 varTexCoord1;
varying vec3 varLightColor;

void main(void)
{
  // M4 << 2; Bitwise operations unsupported
  vec3 light = clamp(varLightColor+uLightAmbient.rgb,vec3(0.0),vec3(1.0)).rgb + (texture2D(texture1, varTexCoord1.xy).rgb * 4.0);
  light = clamp(light, vec3(0.0), vec3(1.0));
	gl_FragColor = texture2D(texture0, varTexCoord0.xy) * vec4(light,1.0);
}
