precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inTexCoord0;
attribute vec4 inTexCoord1;
attribute vec3 inVertexNormal;

uniform highp mat4 uMvpMatrix;
uniform vec4 uLightPos0;
uniform vec4 uLightPos1;
uniform vec4 uLightColor0;
uniform vec4 uLightColor1;
//uniform vec3 uEyePos;

varying vec3 varLightColor;
varying vec2 varTexCoord0;
varying vec2 varTexCoord1;

void main(void)
{
	gl_Position = uMvpMatrix * inVertexPosition;	
	varTexCoord0 = inTexCoord0.xy;
	varTexCoord1 = inTexCoord1.xy;
	
	vec4 color0 = uLightColor0 * dot(inVertexNormal.xyz,normalize(uLightPos0-inVertexPosition).xyz);
	vec4 color1 = uLightColor1 * dot(inVertexNormal.xyz,normalize(uLightPos1-inVertexPosition).xyz);	
	
	varLightColor = (color0 + color1).xyz;
}