precision mediump float;

uniform sampler2D texture0;
uniform vec3 uAlphaSource;

varying vec4 varTexCoord;
varying vec4 varColor;

void main(void)
{
	vec4 texFrag = texture2D(texture0, varTexCoord.xy);
	gl_FragColor.rgb = texFrag.rgb * varColor.rgb;
	gl_FragColor.a =
		(uAlphaSource.r * varColor.a + (1.0 - uAlphaSource.r)) *
		(uAlphaSource.g * texFrag.a + (1.0 - uAlphaSource.g));
}