precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inTexCoord0;

uniform highp mat4 uMvpMatrix;

varying vec2 varTexCoord;

void main()
{
  vec3 npos = inVertexPosition.xyz;
    
  // Stretch the quad to the full screen
  // this makes sure it fills the whole screen (since the quad is made out of 0.5 values...)
  if( npos.x < 0.5 )
  {
  	npos.x = -1.0;
  }
  else
  {
  	npos.x = 1.0;
  } 
  if( npos.y < 0.5 )
  {
  	npos.y = -1.0;
  }
  else
  {
  	npos.y = 1.0;
  }    
  gl_Position =  vec4(npos.xyz,1.0);
 
  varTexCoord.xy = inTexCoord0.xy;
}
