precision mediump float;

attribute vec4 inVertexPosition;
attribute vec3 inVertexNormal;
attribute vec4 inTexCoord0;
attribute vec4 inVertexColor; // indices and weights

uniform highp mat4 uMvMatrix;
//uniform highp mat4 uMvpMatrix;
//uniform highp mat4 uNormalMatrix;

varying vec2 varTexCoord;

// the amount of uniforms available is 128 vec4 as per gl_MaxVertexUniformVectors
// (128-4) / 4 = 31 matrices available
#define MAX_JOINT_NUM 31

uniform highp mat4 uJointTransform[MAX_JOINT_NUM];


void main() 
{
	int verCol;	
	mat4 vertTran = mat4(0.0); // do not init to identity!
	
	verCol = int(inVertexColor.r * 255.9);
	if( verCol > 0 && verCol < 31 )
		vertTran+= uJointTransform[verCol-1];
	// if there are no matrices associated with this vertex, put in the identity matrix
	else
		vertTran = mat4(1.0); // identity

	verCol = int(inVertexColor.g * 255.9);
	if( verCol > 0 && verCol < 31 )
		vertTran+= uJointTransform[verCol-1];

	verCol = int(inVertexColor.b * 255.9);
	if( verCol > 0 && verCol < 31 )
		vertTran+= uJointTransform[verCol-1];
		
	verCol = int(inVertexColor.a * 255.9);
	if( verCol > 0 && verCol < 31 )
		vertTran+= uJointTransform[verCol-1];

	gl_Position = uMvMatrix * vertTran * inVertexPosition;
	varTexCoord.xy = inTexCoord0.xy;
	
	//gl_Position = uMvpMatrix * inVertexPosition;
  //Normal = normalize(uNormalMatrix * mat3(vertTran) * inVertexNormal);
}
