precision mediump float;

attribute vec4 inVertexPosition;
attribute vec3 inVertexNormal;
attribute vec4 inVertexColor;
attribute vec4 inTexCoord0;

uniform vec4 uLightAmbient;
uniform highp mat4 uMvpMatrix;
uniform vec4 uLightPos0;
uniform vec4 uLightPos1;
uniform vec4 uLightColor0;
uniform vec4 uLightColor1;
//uniform vec3 uEyePos;

varying vec2 varTexCoord;
varying vec3 varLightColor;

void main(void)
{
	gl_Position = uMvpMatrix * vec4(inVertexPosition.xyz,1.0);	
	varTexCoord = inTexCoord0.xy;
	
	vec3 color0 = clamp( uLightColor0.rgb * dot(inVertexNormal.xyz,normalize(uLightPos0-inVertexPosition).xyz), vec3(0.0), vec3(1.0) );
	vec3 color1 = clamp( uLightColor1.rgb * dot(inVertexNormal.xyz,normalize(uLightPos1-inVertexPosition).xyz), vec3(0.0), vec3(1.0) );
	
	varLightColor = clamp( color0 + color1 + uLightAmbient.xyz, vec3(0.0), vec3(1.0) );
}