precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inVertexNormal;
attribute vec4 inVertexColor;
attribute vec4 inTexCoord0;

uniform highp mat4 uMvpMatrix;
uniform highp mat3 uNormalMatrix;

varying vec4 varTexCoord0;
varying vec4 varTexCoord1;

void main(void)
{
	gl_Position = uMvpMatrix * inVertexPosition;

	varTexCoord0 = inTexCoord0;

	vec3 u = normalize( vec3(uMvpMatrix * inVertexPosition) );
	vec3 n = normalize( uNormalMatrix * inVertexNormal.xyz );
	vec3 r = reflect( u, n );
	
	float m = 2.0 * sqrt( r.x*r.x + r.y*r.y + (r.z+1.0)*(r.z+1.0) );
		
	varTexCoord1.x = r.x/m + 0.5;
	varTexCoord1.y = r.y/m + 0.5;
}